Create Transactions for CaaS User Account

Given a userId, an accountId and an optional categorisation version, this endpoint will create new transactions for the user's CaaS account and initiate categorisation. Maximum limit on the number of transactions accepted on each call is 10,000.

The response includes a jobId that can be used to monitor categorisation progress via GET /v1/jobs/{jobId}.

Note: New transactions will be appended to the account and existing transactions will remain untouched. If a transaction ID already exists, those transactions will not be added and will be ignored.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

The User ID

uuid
required

The Account ID

Query Params
string
enum

The version of the DataOne categorisation engine that will be used to process transactions.

If no categorisation version is provided, the default version associated to the requesting organisation will be used.

Allowed:
Body Params

The transactions to be categorised.

transactions
array of objects

List of transactions to create.

transactions
Responses

400

Transaction data validation failed, or an unsupported categorisation version was provided.

401

API key authentication unsuccessful.

403

CaaS is forbidden for the requesting partner.

404

User or account is invalid or does not exist.

409

Account is not a CaaS account.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json